Fedora-Fr - Communauté francophone Fedora - Linux

Communauté francophone des utilisateurs de la distribution Linux Fedora.

  

Dernière news : Fedora 37 Beta est disponible

#1 11/05/2022 20:19:19

AdamI69I
Membre
Inscription : 23/03/2022
Messages : 22

Virtualbox 6.1, Problem: conflicting requests

Salut à tous,

J'ai essayé d'installer Virtualbox 6.1 depuis ce tuto:
https://computingforgeeks.com/how-to-in … ora-linux/

Ils précisent d'installer le repo de Fedora 35, même si on est sur la 36:
Fedora 36 / Fedora 35:

cat <<EOF | sudo tee /etc/yum.repos.d/virtualbox.repo 
[virtualbox]
name=Fedora $releasever - $basearch - VirtualBox
baseurl=http://download.virtualbox.org/virtualbox/rpm/fedora/35/\$basearch
enabled=1
gpgcheck=1
repo_gpgcheck=1
gpgkey=https://www.virtualbox.org/download/oracle_vbox.asc
EOF

Mais lorsque j'essaie d'installer un peu plus loin dans le tuto VirtualBox, j'ai un message d'erreur:

$ sudo dnf install VirtualBox-6.1
Last metadata expiration check: 0:01:10 ago on Wed 11 May 2022 08:11:19 PM CEST.
Error: 
 Problem: conflicting requests
  - nothing provides libvpx.so.6()(64bit) needed by VirtualBox-6.1-6.1.20_143896_fedora33-1.x86_64
  - nothing provides libvpx.so.6()(64bit) needed by VirtualBox-6.1-6.1.22_144080_fedora33-1.x86_64
  - nothing provides libvpx.so.6()(64bit) needed by VirtualBox-6.1-6.1.24_145767_fedora33-1.x86_64
  - nothing provides libvpx.so.6()(64bit) needed by VirtualBox-6.1-6.1.26_145957_fedora33-1.x86_64
  - nothing provides libvpx.so.6()(64bit) needed by VirtualBox-6.1-6.1.28_147628_fedora33-1.x86_64
  - nothing provides libvpx.so.6()(64bit) needed by VirtualBox-6.1-6.1.30_148432_fedora33-1.x86_64
  - nothing provides libvpx.so.6()(64bit) needed by VirtualBox-6.1-6.1.32_149290_fedora33-1.x86_64
  - nothing provides libvpx.so.6()(64bit) needed by VirtualBox-6.1-6.1.34_150636_fedora33-1.x86_64
  - nothing provides libvpx.so.6()(64bit) needed by VirtualBox-6.1-6.1.34_150636_fedora33-2.x86_64
(try to add '--skip-broken' to skip uninstallable packages)

Je fais un "--skip-broken", comme conseillé ?

Sinon, vous connaissez un autre moyen de l'installer en dnf ou une façon de palier à ce message d'erreur ?

Merci,
Vincent.

Dernière modification par AdamI69I (11/05/2022 20:20:42)


Fedora 36 / Gnome 42 - Lenovo Yoga 15.6" - 16 Go Ram - Intel® HD Graphics 630 + NVIDIA GeForce GTX 1050

Hors ligne

#2 12/05/2022 09:49:17

VINDICATORs
RédactWikix and the graphicatorix!
Modérateur
Lieu : Toulouse(31) France
Inscription : 23/11/2004
Messages : 18 881
Site Web

Re : Virtualbox 6.1, Problem: conflicting requests

Tu peux voir coté rpmfusion pour avoir des paquets.
Cependant il manque certains module propriétaire...

Sinon si tu n'as pas peur d'avoir une solution de niveau professionnel complète, tu peux regarder ici :
https://doc.fedora-fr.org/wiki/Virtuali … _en_images
Et surtout... c'est de base sur ta distribution favorite wink pint hammer


AMD R7 5800x X470 64Go DDR4 3.6Ghz, RX5700XT+AMD R7 2700x A320 + 32Go DDR4 3.2Ghz, rx6500xt 4Go
AMD R5 2600 A320, 32Go DDR4 1.8Ghz,1030GT 2Go + AMD A6 9500 A320, 16Go DDR4 2.1Ghz
ARM Rpi4 4Go, à venir Pine64 2xQuartzB 2Go

Hors ligne

#3 20/05/2022 01:11:34

didierg
Bricoleur du dimanche
Modérateur
Inscription : 11/07/2005
Messages : 5 696

Re : Virtualbox 6.1, Problem: conflicting requests

Voir: https://forums.virtualbox.org/viewtopic … 87#p518138

VirtualBox-6.1-6.1.34_150636_fedora36-2.x86_64.rpm  disponible ici https://download.virtualbox.org/virtual … 36/x86_64/ s'installe et fonctionne.

Hors ligne

Pied de page des forums